//*****************************************************************************
//              \ /
// No Copyright (c) 2003
//              / \
// No rights reserved. This material contains published,
// non-copyrighted work, which includes non-confidential and
// non-proprietary information of Kurt Santel.
//
// Source: CodeWarTypes.h
//
// Description: Common header file with the types that are common to
//              the client and the server
//
//*****************************************************************************

#pragma once

#include <utility>

////////////////////////////////////////////////////////////////////
// typedefs

typedef enum Command
{
    cmdIdle = 0,

    // Client -> Server
    cmdRegister,
    cmdMoveForward,

    // Server -> Client
    cmdInfo,
    cmdPoll,

    // Events, Server -> Client
    cmdHitWall = 1000
} CommandType;

typedef char VersionType;

typedef unsigned int XType;
typedef unsigned int YType;
typedef std::pair<XType, YType> PositionType;

typedef enum Heading
{
    North = 0,
    East,
    South,
    West
} HeadingType;

typedef unsigned int IDType;
typedef char AttackType;
typedef char DefenseType;
typedef char FoodType;
typedef char LifeType;

typedef bool WallHitType;

////////////////////////////////////////////////////////////////////
// The one and only version

const VersionType theVersion = 0x01;
